from typing import List

from django.urls import include
from django.urls import path
from django.urls.resolvers import URLResolver

from gregui.api import urls as api_urls
from gregui.views import TokenCreationView
from . import views

urlpatterns: List[URLResolver] = [
    path(
        "api/ui/v1/", include((api_urls.urlpatterns, "gregui"), namespace="gregui-v1")
    ),
    path("api/ui/v1/csrf/", views.get_csrf, name="api-csrf"),
    path("api/ui/v1/logout/", views.logout_view, name="api-logout"),
    path("api/ui/v1/login/", views.login_view, name="api-login"),
    path("api/ui/v1/session/", views.SessionView.as_view(), name="api-session"),
    path("api/ui/v1/whoami/", views.WhoAmIView.as_view(), name="api-whoami"),
    path("api/ui/v1/token/<email>", TokenCreationView.as_view()),
]
